<?php
namespace Claromentis\Core\Mail;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array();
use Symfony\Component\Mime\Email;






class DataAttachment extends Attachment
{
    private string $body;
    public function __construct(string $_f50e845669e7cd06bbc643eeb57aa01d, ?string $name = null, ?string $_245f7cfb5032fc84834957a5c9c96bb0 = null, bool $_db2d0d33cdc8a9de0954d9a0f02d9a2f = false)
    {
        parent::__construct($name, $_245f7cfb5032fc84834957a5c9c96bb0, $_db2d0d33cdc8a9de0954d9a0f02d9a2f);
        $this->setBody($_f50e845669e7cd06bbc643eeb57aa01d);
    }
    
    
    
    
    
    
    public function getBody() : string
    {
        return $this->body;
    }
    
    
    
    
    
    
    public function setBody(string $_f50e845669e7cd06bbc643eeb57aa01d) : void
    {
        $this->body = $_f50e845669e7cd06bbc643eeb57aa01d;
    }
}